API reference
BulkRenameTagAcrossWorkspaceDiscounts
Rename a tag on every discount code in the workspace. Write access, discounts toolset, MCP tool bulk_rename_tag_across_workspace_discounts.
Access: Write
Variables
| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
input | BulkRenameTagAcrossWorkspaceDiscountsInput! | yes | Input object, below |
Input types
BulkRenameTagAcrossWorkspaceDiscountsInput
| Field | Type | Required | Accepts | Description |
|---|---|---|---|---|
fromTag | String! | yes | ||
toTag | String! | yes |
Call it
bash
curl https://api.missin.co.uk/graphql/v1 \
-H "Authorization: Bearer $MISSIN_API_KEY" \
-H "Content-Type: application/json" \
-d '{"operationName":"BulkRenameTagAcrossWorkspaceDiscounts","variables":{"input":{"fromTag":"…","toTag":"…"}},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"890275858de03f751b4ee7c6c4953ec8093e67a51c3766c8c63de642cb793850"}}}'Document
graphql
mutation BulkRenameTagAcrossWorkspaceDiscounts($input: BulkRenameTagAcrossWorkspaceDiscountsInput!) { __typename bulkRenameTagAcrossWorkspaceDiscounts(input: $input) { __typename affectedCount fromTag toTag } }